.main-banner {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.background-video {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1; /* Məzmunu videonun üstünə yerləşdirmək üçün */
}

.video-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.6); /* Tünd qara rəng, 50% şəffaflıq */
    z-index: 0;
}

/*.title-wrapper {*/
/*    position: relative;*/
/*    z-index: 1;*/
/*    color: white;*/
/*    text-align: center;*/
/*}*/

header, nav, .lang-selector {
    position: relative;
    z-index: 1;
}

.title-wrapper {
    margin: auto;
    text-align: center;
}

.title-text {
    color: white;
    font-size: 48px;
    font-weight: 800;
    text-align: left;
    animation: moveInLeft 2s;
    position: relative;
    z-index: 1;
}

.subtitle-text {
    color: white;
    font-size: 32px;
    font-weight: 400;
    animation: moveInRight 2s;
}

.title-note-text {
    color: #a6a6a6;
    font-size: 20px;
    font-weight: 400;
    text-align: center;
    animation: moveInRight 2s;
}

.text-animated {
    animation: moveInTop 1s forwards;
}

@keyframes moveInTop {
    0% {
        opacity: 0;
        transform: translateY(-100%);
        filter: blur(4px);
    }

    100% {
        opacity: 1;
        transform: translateY(0px);
        filter: blur(0);
    }
}

@keyframes moveInLeft {
    0% {
        opacity: 0;
        transform: translateX(-100%);
        filter: blur(4px);
    }

    100% {
        opacity: 1;
        transform: translateX(0px);
        filter: blur(0);
    }
}

@keyframes moveInRight {
    0% {
        opacity: 0;
        transform: translateX(100%);
        filter: blur(4px);
    }

    100% {
        opacity: 1;
        transform: translateX(0px);
        filter: blur(0);
    }
}

.icon_lg {
    max-width: 27px;
    margin: 0 auto 32px;
}

.section-wrapper__right-side {
    position: relative;
    min-height: 445px;
}

.section-wrapper__right-side img {
    position: absolute;
    transform: scale(0.5);
    opacity: 0;
}

.section-wrapper__right-side-second-img {
    bottom: 57px;
    left: 0;
    width: 209px;
    height: 209px;
    border-radius:20px;
}

.section-wrapper__right-side-first-img {
    top: 0;
    left: 70px;
    width: 260px;
    height: 260px;
    border-radius:20px;
    animation-delay: 0.5s;
}

.section-wrapper__right-side-third-img {
    bottom: 0;
    right: 0;
    width: 323px;
    height: 323px;
    border-radius:20px;
    animation-delay: 1s;
}

.section-about {
    margin: 40px auto 80px;
}

.section-about__left-side>p {
    max-width: 500px;
    margin-bottom: 46px;
}

.section-about__left-side>button.article-button {
    color: #272261;
    padding: 24px 0;
    max-width: 209px;
    width: 100%;
    box-sizing: border-box;
    border: 2px solid #272261;
    border-radius: 10px;
    background-color: transparent;
    cursor: pointer;
    transition: 0.3s all ease;
}

.section-about__left-side>button.article-button:hover {
    background-color: #272261;
    border: 2px solid transparent transparent;
    color: #fff;
}

.section-about__left-side>button.article-button:active {
    background-color: #4338b7;
    border: 2px solid transparent;
    color: #fff;
}

.section-about__left-side>button.article-button:disabled {
    background-color: #3e3a64;
}

.project-section-bg {
    background-repeat: no-repeat;
    background-size: cover;
    background-image: url('../assets/img/main-page/projects_section_bg.webp');
}

.section-projects {
    flex-direction: column;
}

.section-projects>div.tab {
    display: flex;
    margin: 0 auto;
    width: wrap-content;
    max-width: 700px;
    margin-bottom: 100px;
}

.section-projects>div.tab button {
    flex: 1;
    border: 2px solid transparent;
    border-bottom: 3px solid #E6E6E6;
    cursor: pointer;
    background-color: transparent;
    transition: 0.3s all ease;
    text-wrap: nowrap;
}

.section-projects>div.tab button.active {
    border-bottom: 3px solid #272261;
}

.section-projects>div.tab button:hover {
    border-bottom: 3px solid #272261;
}

.section-projects>div:last-child {
    display: flex;
    flex-direction: row-reverse;
}

.slide-wrapper {
    display: flex;
    flex-direction: column;
    border-left: 1px solid #fff;
    position: relative;
}

.slide-wrapper p {
    z-index: 10;
    margin-left: 14px;
    margin-bottom: 16px;
    position: absolute;
    left: 0;
    top: 76vh;
    color: white;
    font-size: 16px;
    font-weight: 700;
    text-align: left;
    transition: 0.5s all ease;
}

.slide-wrapper:hover p {
    position: absolute;
    left: 0;
    top: 73vh;
}

.slide-wrapper:hover::after {
    content: '';
    display: flex;
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    height: 6vh;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 10.3%, black 100%);
}

.section-gallery {
    flex-direction: column;
}

.responsive {
    height: 76vh;
    overflow: hidden;
    background-position: center bottom;
}

.responsive img {
    position: relative;
    transition: 0.3s all ease;
    height: 77vh;
    object-fit: cover;
    width: 100%;
}

.responsive:hover img {
    opacity: 0;
}

.responsive {
    background-repeat: no-repeat;
    background-size: cover;
    transition: 0.3s all ease;
}

.gallery-section {
    display: flex;
    background-image: url('../assets/img/main-page/nav_road_bg.webp');
    background-position: top;
    background-repeat: no-repeat;
    background-size: contain;
    min-height: 425px;
}

.gallery-section>div {
    display: flex;
    margin: auto;
    margin-right: 51px;
}

.gallery-section>div>div {
    flex: 1;
    display: inherit;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    text-align: center;
}

.gallery-section>div>div a {
    display: flex;
    align-items: center;
    flex-direction: column;
    width: 50;
    height: 100%;
    color: #272261;
    font-size: 16px;
    font-weight: 500;
    text-decoration: none;
    transition: 0.3s all ease;
}

.gallery-section>div>div a img {
    width: 80%;
    margin-bottom: 20px;
}

.gallery-section>div>div a p {
    text-align: center;
}

.gallery-section>div>div a:hover {
    transform: scale(1.1);
    font-size: 28px;
}

.section-contacts {
    margin-bottom: 60px;
}

.section-contacts>div:last-child {
    display: flex;
    justify-content: space-around;
}

.section-contacts>div:last-child .section-contacts__content-item {
    flex: 1;
    text-align: center;
    align-items: center;
    display: flex;
    flex-direction: column;
}

.section-contacts>div:last-child .section-contacts__content-item div {
    display: flex;
    width: 136px;
    height: 136px;
    border-radius: 50%;
    border: 1px solid #272261;
}

.section-contacts>div:last-child .section-contacts__content-item div img {
    width: 50%;
    margin: auto;
}

.section-contacts>div:last-child .section-contacts__content-item p:nth-child(2) {
    color: #272261;
    font-size: 24px;
    font-weight: 700;
    margin-top: 26px;
}

.section-contacts>div:last-child .section-contacts__content-item a:last-child {
    color: #6d6d6d;
    text-wrap: wrap;
    font-size: 20px;
    font-weight: 400;
    margin-top: 8px;
    text-decoration: none;
}

@media (max-width: 800px) {

    .responsive {
        height: 55vh;
    }

    .responsive img {
        height: 55vh;
    }

    .responsive:hover p {
        top: 50vh;
    }

    .responsive p {
        top: 57vh;
    }

    .section-about {
        position: relative;
    }

    .section-about .section-wrapper__right-side {
        display: none;
    }

    .section-header {
        margin: 20px 0 40px;
    }

    .section-header h3 {
        font-size: 40px;
    }

    .section-header h3 p {
        font-size: 20px;
    }

    .section-header>a {
        display: none;
    }

    .section-projects>div:last-child {
        display: flex;
        flex-direction: column-reverse;
    }

    .section-projects ul {
        margin: 0;
        padding: 0;
        width: 100%;
    }

    .section-projects .rectangle-wrapper {
        width: 100%;
    }

    .section-contacts>div:last-child {
        flex-wrap: wrap;
    }

    .section-contacts>div:last-child .section-contacts__content-item {
        flex: none;
        width: 50%;
    }

    .section-contacts>div:last-child .section-contacts__content-item div {
        display: flex;
        width: 50px;
        height: 50px;
        border-radius: 50%;
        border: 1px solid #272261;
    }

    .section-contacts>div:last-child .section-contacts__content-item a {
        font-size: 14px !important;
    }

    .gallery-section {
        background-image: none;
    }

    .gallery-section>div {
        margin: 0;
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(2, 1fr);
    }

    .tab {
        flex-direction: column;
    }

    .footer_p {
        left: 5px;
    }
}

.section-projects .two-cols {

    display: flex;
}

.section-projects .two-cols:nth-child(odd) {
    flex-direction: row-reverse;
}

.section-projects .two-cols:nth-child(even) {
    flex-direction: row;
}